package com.ss.android.ugc.aweme.legoImp;

import X.C25598ek;
import X.C49469c9;
import X.FLI;
import X.Lnj;
import android.app.Application;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.common.util.INetWorkInject;
import kotlin.h.b.n;

public final class NetWorkInjectImpl implements INetWorkInject {
    static {
        Covode.recordClassIndex(90331);
    }

    public final C49469c9 LIZIZ() {
        return new C25598ek();
    }

    public final Context LIZ() {
        Application LIZ = FLI.LIZ();
        n.LIZIZ(LIZ, "");
        return LIZ;
    }

    public final String LIZJ() {
        String property = System.getProperty("http.agent");
        n.LIZIZ(property, "");
        return property;
    }

    public static INetWorkInject LIZLLL() {
        MethodCollector.i(2459);
        INetWorkInject iNetWorkInject = (INetWorkInject) Lnj.LIZ(INetWorkInject.class, false);
        if (iNetWorkInject != null) {
            MethodCollector.o(2459);
            return iNetWorkInject;
        }
        Object LIZIZ = Lnj.LIZIZ(INetWorkInject.class, false);
        if (LIZIZ != null) {
            INetWorkInject iNetWorkInject2 = (INetWorkInject) LIZIZ;
            MethodCollector.o(2459);
            return iNetWorkInject2;
        }
        if (Lnj.LLLZLL == null) {
            synchronized (INetWorkInject.class) {
                try {
                    if (Lnj.LLLZLL == null) {
                        Lnj.LLLZLL = new NetWorkInjectImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(2459);
                    throw th;
                }
            }
        }
        NetWorkInjectImpl netWorkInjectImpl = (NetWorkInjectImpl) Lnj.LLLZLL;
        MethodCollector.o(2459);
        return netWorkInjectImpl;
    }
}
